GD did not install when installing xampp for linux

Problems with the Linux version of XAMPP, questions, comments, and anything related.

GD did not install when installing xampp for linux

Postby sborder » 29. April 2012 00:34

Now what do I do? Another program that I'm trying to install needs the GD.pm file.

I've used xampp for years but only for windows. This is my first go at using xampp with linux mint.

Thanks
Steve
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby JonB » 29. April 2012 13:02

You 'should' be able to install GD.pm via CPAN.

http://www.cpan.org/

http://www.cpan.org/modules/INSTALL.html

Look for a 'cpan' script in a /opt/lampp/ subfolder. The name will be cpan, and it won't have an extension -- its probably already there. If it is, you can give a go at installing GD

http://search.cpan.org/dist/GD/

I'm not at work currently so my XAMPP/LAMPP Linux 'test box' is unavailable. I'll take a look tomorrow if you have not worked this out.

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: GD did not install when installing xampp for linux

Postby sborder » 01. May 2012 07:29

I'm in the GD-2.46 directory which is located in opt/lampp/
In terminal I type: perl Makefile.PL and I get this error:
Could not find gdlib-config in the search path. Please install libgd 2.0.28 or higher. (I installed libgd)
If you want to try to compile anyway, please rerun this script with the option --ignore_missing_gd.

Wish I knew what I was doing :?
I wonder why xampp didn't install the GD.pm module itself?

Steve
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby sborder » 02. May 2012 18:41

I'm still working on this but do not have it installed.. Help Please

Thanks
Steve
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby JonB » 02. May 2012 18:54

Hi again

A. I can probably answer 'why it (GD) isn't installed?'. GD is not a frequently required module for most Perl environments. Most graphics manipulation work is done in PHP nowadays.

B. I think I can get you through this without using a site library.

This is from the GD 'readme'
--------------------------------------------------------------------------------------------------------------------------
INSTALLING GD IN YOUR HOME DIRECTORY

IF YOU DON'T HAVE PRIVILEGES TO INSTALL GD.pm in your system's main
Perl library directory, don't despair. You can install it into your
home directory using the following feature of Makefile.PL:


a. cd GD-2.46 (my assumption)
b. perl Makefile.PL LIB=/home/fred/lib
c. make
d. make install

(change /home/fred/lib as appropriate for your home directory). This
will install GD.pm in /home/fred/lib. You may get some errors about
not being able to install the manual pages. Either don't worry about
it, or run the "perl Makefile.PL" step with the INST_MAN3DIR variable
set to some directory you have write permission for.

SOOO - we need to change those instructions a bit -

b. perl Makefile.PL LIB=/opt/lampp/lib/perl5/5.10.1

You'll now need to modify your GD-using scripts to tell Perl where to
find GD. This example assumes that your home directory is at path
"/home/fred"; change it as appropriate.

#!/usr/local/bin/perl
use lib '/home/fred/lib';
use GD;
... etc ...

and one more change - for your use/include -

use lib '/opt/lampp/lib/perl5/5.10.1';
use GD;


---------------------------------------------- end of extract from readme --------------------------------------------------------
The changes are in blue -

I would run all this as root via a root login, su or sudo -- THEN change ownership and permissions to match LAMPP's requirements

Good Luck and let me know how it works out...
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: GD did not install when installing xampp for linux

Postby sborder » 02. May 2012 22:28

I do have root access. Does that change your instructions?

Steve

Never mind I just reread your instructions. Will let you know and thanks!
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby sborder » 03. May 2012 07:51

I'm not sure if this makes any difference or not but I'm in root and when I open a terminal I get this:
Can't locate local/lib.pm in @INC (@INC contains: /root/foo/lib/perl5 /etc/perl /usr/local/lib/perl/5.12.4 /usr/local/share/perl/5.12.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.12 /usr/share/perl/5.12 /usr/local/lib/site_perl .).
BEGIN failed--compilation aborted.


Steve
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby JonB » 03. May 2012 13:01

it should make no difference - NOTE - I said to do it as root, or use su or sudo. :wink:

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: GD did not install when installing xampp for linux

Postby sborder » 03. May 2012 19:20

JonB wrote:Hi again

SOOO - we need to change those instructions a bit -

b. perl Makefile.PL LIB=/opt/lampp/lib/perl5/5.10.1



When I enter the above I get this error:
**UNRECOVERABLE ERROR**
Could not find gdlib-config in the search path. Please install libgd 2.0.28 or higher.
If you want to try to compile anyway, please rerun this script with the option --ignore_missing_gd.

Now what?

Also is there a prefered directory to download the tar file to or a prefered directory to extract the lidgd file to?

Steve
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby JonB » 03. May 2012 22:49

I just tested on my LAMPP box, same issues. Something is wrong with the Perl scripts I think. BUT - My inner Perl monk says you may not need to compile

Try this:
Extract GD-2.46 wherever you want.
as root, chown -R nobody:root ./GD-2.46 (assuming you are in the folder where you just extracted GD)
copy the files to /opt/lampp/lib/site_perl/5.10.1 (that is where 'installed' Perl modules should end up)
make sure the permissions match with the rest of the files in those folders

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: GD did not install when installing xampp for linux

Postby sborder » 04. May 2012 13:50

FYI There was no opt/lampp/lib/site_perl or 5.10.1directories so I just made them.

I tried the cgi program and you can tell it's trying to start up but can't. I would imagine it's because the only files in the site_perl/5.10.1 are the GD files.

Ok so now what?

I do appreciate your help!

Steve
Last edited by sborder on 04. May 2012 19:29, edited 1 time in total.
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby JonB » 04. May 2012 17:12

OK then, LOL I think we are on track that we don't need to compile. (that's progress)

I will have to think on this a bit, and look at the 1.7.7 distribution. I may have to set up a test VM as I have no spare Linux boxes. I have a server running LAMP, a workstation with a typical LAMP setup of Fedora and another with Fedora/LAMPP, I need them all for development and testing - so I don't want to break any of them.

Just checking - Is the Perl 5.10.1 ???

thanks
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: GD did not install when installing xampp for linux

Postby sborder » 04. May 2012 19:47

I found 5.10.1 in opt/lampp/lib/perl5/5.10.1

Steve
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby sborder » 07. May 2012 19:54

Doed that mean I can just copy the files over to the proper directory?

Steve
User avatar
sborder
 
Posts: 19
Joined: 31. January 2007 08:06
Location: Iowa, USA
XAMPP Version: 5.6.3
Operating System: linux mint 12, xppro and 7

Re: GD did not install when installing xampp for linux

Postby JonB » 07. May 2012 19:58

I would say "likely yes"

just be sure to set the ownership and permissions correctly after copying

Good Luck
8)

BTW - I just got a VM set up today so I can support more than one version of LAMPP without breaking things. Ya gotta love virtual machines...
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Next

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 9 guests